<h1>Users</h1>
<!--Structural Directives-->
<!--ngIf = creates conditionals in our templates-->
<!--ngFor = used to loop through an array-->
<!--*adding logic into our template-->
<!--** every structural directive Needs to have the Asterisk (*)-->


<!--<h3>{{ users[0].firstName}}</h3>-->
<!--<h3>{{ users[1].firstName}}</h3>-->

<ul>
<!--<ul *ngIf="users.length > 4">-->
  <li *ngFor="let user of users">
    <h3>{{ user.firstName }} {{ user.lastName }}</h3>
    <ul *ngIf="displayInfo">
      <li>Age: {{ user.age }}</li>
      <li>Address: {{user.address.street}}, {{user.address.city}},
      {{user.address.state}} </li>
    </ul>
  </li>
</ul>

<!--  ANOTHER NG IF-->
<h3 *ngIf="users.length === 0"> No Users Found</h3>
